/** @typedef {typeof __propDef.props}  ComponentMapProps */
/** @typedef {typeof __propDef.events}  ComponentMapEvents */
/** @typedef {typeof __propDef.slots}  ComponentMapSlots */
export default class ComponentMap extends SvelteComponent<{
    getNumberOfRegisteredComponents?: (() => number) | undefined;
    getRegisteredComponentNames?: (() => string[]) | undefined;
    getRegisteredComponentClasses?: (() => any[]) | undefined;
    getRegisteredComponent?: ((className: any) => any) | undefined;
    registerComponent?: ((...args: any[]) => any) | undefined;
    unregisterComponent?: ((className: any) => void) | undefined;
    createComponent?: ((className: any, props: any, targetElement: any) => any) | undefined;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
    get getNumberOfRegisteredComponents(): () => number;
    get getRegisteredComponentNames(): () => string[];
    get getRegisteredComponentClasses(): () => any[];
    get getRegisteredComponent(): (className: any) => any;
    get registerComponent(): (...args: any[]) => any;
    get unregisterComponent(): (className: any) => void;
    get createComponent(): (className: any, props: any, targetElement: any) => any;
}
export type ComponentMapProps = typeof __propDef.props;
export type ComponentMapEvents = typeof __propDef.events;
export type ComponentMapSlots = typeof __propDef.slots;
import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        getNumberOfRegisteredComponents?: (() => number) | undefined;
        getRegisteredComponentNames?: (() => string[]) | undefined;
        getRegisteredComponentClasses?: (() => any[]) | undefined;
        getRegisteredComponent?: ((className: any) => any) | undefined;
        registerComponent?: ((...args: any[]) => any) | undefined;
        unregisterComponent?: ((className: any) => void) | undefined;
        createComponent?: ((className: any, props: any, targetElement: any) => any) | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: undefined;
    bindings?: undefined;
};
export {};
