/** @typedef {typeof __propDef.props}  FloorProps */
/** @typedef {typeof __propDef.events}  FloorEvents */
/** @typedef {typeof __propDef.slots}  FloorSlots */
export default class Floor extends SvelteComponent<{
    pattern?: string | undefined;
    update?: ((focus?: boolean) => any) | undefined;
    menuItems?: any[] | undefined;
    customEvents?: string[] | undefined;
    panel_0_length?: string | undefined;
    floorId?: `${string}-${string}-${string}-${string}-${string}` | undefined;
    childComponentInfo?: null | undefined;
    resetFloor?: (() => any) | undefined;
    floorLevel?: number | undefined;
    designMode?: boolean | undefined;
    removeTabFloor?: ((tabIndexUpdateInfo: any) => any) | undefined;
    componentScriptBasePath?: string | undefined;
    defaultActionHandler?: null | undefined;
    treeViewSlot?: string | undefined;
    getFloorId?: (() => `${string}-${string}-${string}-${string}-${string}`) | undefined;
    getComponentScriptBasePath?: (() => string) | undefined;
    getMenuItems?: (() => any[]) | undefined;
    getAvailableFloorPatterns?: (() => string[]) | undefined;
    setFloorPattern?: ((newPattern: any) => any) | undefined;
    getCurrentChildComponentInfo?: (() => any) | undefined;
}, {
    queryContainerInfo: CustomEvent<any>;
    designModeLayoutChanged: CustomEvent<any>;
} & {
    [evt: string]: CustomEvent<any>;
}, {
    default: {};
}> {
    get customEvents(): string[];
    get getFloorId(): () => `${string}-${string}-${string}-${string}-${string}`;
    get getComponentScriptBasePath(): () => string;
    get getMenuItems(): () => any[];
    get getAvailableFloorPatterns(): () => string[];
    get setFloorPattern(): (newPattern: any) => any;
    get getCurrentChildComponentInfo(): () => any;
    get resetFloor(): () => any;
    get removeTabFloor(): (tabIndexUpdateInfo: any) => any;
    get update(): (focus?: boolean) => any;
}
export type FloorProps = typeof __propDef.props;
export type FloorEvents = typeof __propDef.events;
export type FloorSlots = typeof __propDef.slots;
import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        pattern?: string | undefined;
        update?: ((focus?: boolean) => any) | undefined;
        menuItems?: any[] | undefined;
        customEvents?: string[] | undefined;
        panel_0_length?: string | undefined;
        floorId?: `${string}-${string}-${string}-${string}-${string}` | undefined;
        childComponentInfo?: null | undefined;
        resetFloor?: (() => any) | undefined;
        floorLevel?: number | undefined;
        designMode?: boolean | undefined;
        removeTabFloor?: ((tabIndexUpdateInfo: any) => any) | undefined;
        componentScriptBasePath?: string | undefined;
        defaultActionHandler?: null | undefined;
        treeViewSlot?: string | undefined;
        getFloorId?: (() => `${string}-${string}-${string}-${string}-${string}`) | undefined;
        getComponentScriptBasePath?: (() => string) | undefined;
        getMenuItems?: (() => any[]) | undefined;
        getAvailableFloorPatterns?: (() => string[]) | undefined;
        setFloorPattern?: ((newPattern: any) => any) | undefined;
        getCurrentChildComponentInfo?: (() => any) | undefined;
    };
    events: {
        queryContainerInfo: CustomEvent<any>;
        designModeLayoutChanged: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
    exports?: undefined;
    bindings?: undefined;
};
export {};
