import { DataSink } from "../common/data/DataStore.js";
import type { ChildComponentInfo } from "./types.js";
export declare class FloorContext {
    #private;
    constructor(ctxName: string, props: Record<string, any>);
    dispose(): void;
    getContextDesignMode(): boolean;
    updateDesignMode(designMode: boolean): void;
    ensureVisible(targetFloorId: string): Promise<void>;
    highlight(targetFloorId: string): Promise<void>;
    resetFloor(targetFloorId: string): void;
    /**
     * 'Tab' 컴포넌트의 '탭에 설정된 Floor 컴포넌트'를 제거할 때 호출된다.
     *
     * @param targetFloorId 제거할 탭에 설정된 Floor 컴포넌트의 ID
     * @param tabIndexUpdateInfo 탭 인덱스 업데이트 정보를 포함하는 객체
     */
    removeTabFloor(targetFloorId: string, tabIndexUpdateInfo: Record<string, any>): Promise<void>;
    updateInvalidFloorIdInfo(newInvalidFloorId: string, orgFloodId: string): void;
    updateChildComponentTreeData(childComponentInfo: ChildComponentInfo, debug?: boolean): void;
    clearChildComponentTreeData(): void;
    clearReplaceIdMap(): void;
    linkDataStore(dataSink: DataSink): void;
}
