import { PopUpKind } from "./PopUpKind.js";
interface PopupConfig {
    kind: PopUpKind;
    title: string;
    content: string;
    userInput?: string;
    onConfirm: (userInput?: string) => void;
    onCancel?: () => void;
}
declare function createPopupStore(): {
    subscribe: (this: void, run: import("svelte/store").Subscriber<PopupConfig | null>, invalidate?: import("svelte/store").Invalidator<PopupConfig | null> | undefined) => import("svelte/store").Unsubscriber;
    show: (config: PopupConfig) => void;
    hide: () => void;
    confirm: (userInput?: string) => void;
    cancel: () => void;
};
export type PopupStore = ReturnType<typeof createPopupStore>;
export declare class PopUpManager {
    private popupStore;
    constructor();
    get store(): {
        subscribe: (this: void, run: import("svelte/store").Subscriber<PopupConfig | null>, invalidate?: import("svelte/store").Invalidator<PopupConfig | null> | undefined) => import("svelte/store").Unsubscriber;
        show: (config: PopupConfig) => void;
        hide: () => void;
        confirm: (userInput?: string) => void;
        cancel: () => void;
    };
    show(config: PopupConfig): void;
    hide(): void;
    confirm(userInput?: string): void;
    cancel(): void;
    handleButtonClicked(event: CustomEvent): void;
}
export {};
