import { SvelteComponent } from "svelte";
import { type ShowContentControlOptions, type PanelSizeInfo } from "./common.js";
declare const __propDef: {
    props: {
        orientation?: "horizontal" | "vertical";
        showContentControl?: boolean | ShowContentControlOptions;
        showPanelResizingInfo?: boolean;
        panel_0_length?: string;
        component_0?: {
            component: any;
            componentClassName: string | null;
            props: Record<string, any>;
        };
        component_1?: {
            component: any;
            componentClassName: string | null;
            props: Record<string, any>;
        };
        customEvents?: string[];
        toggleOrientation?: () => void;
        clearPanel?: () => void;
        clearPanel_0?: () => void;
        clearPanel_1?: () => void;
        swapPanel?: () => void;
        getPanelSize?: () => {
            panelSize: PanelSizeInfo | null;
        };
    };
    events: {
        contextmenu: MouseEvent;
        panelSizeChanged: CustomEvent<PanelSizeInfo>;
        panelSwapButtonClicked: CustomEvent<void>;
        panelOrientationButtonClicked: CustomEvent<void>;
        splitterOrientationChanged: CustomEvent<{
            orientation: "horizontal" | "vertical";
        }>;
        splitterPanelSwapped: CustomEvent<{
            component_0: {
                before: {
                    componentInfo: {
                        component: any;
                        componentClassName: string | null;
                        props: Record<string, any>;
                    };
                    componentInstance: SvelteComponent;
                };
                after: {
                    componentInfo: {
                        component: any;
                        componentClassName: string | null;
                        props: Record<string, any>;
                    };
                    componentInstance: SvelteComponent;
                };
            };
            component_1: {
                before: {
                    componentInfo: {
                        component: any;
                        componentClassName: string | null;
                        props: Record<string, any>;
                    };
                    componentInstance: SvelteComponent;
                };
                after: {
                    componentInfo: {
                        component: any;
                        componentClassName: string | null;
                        props: Record<string, any>;
                    };
                    componentInstance: SvelteComponent;
                };
            };
        }>;
        splitterPanelSizeChanged: CustomEvent<{
            orientation: "horizontal" | "vertical";
            panel_0_length: string;
            splitterSize: Record<string, any>;
        }>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        right: {
            slot: string;
        };
        left: {
            slot: string;
        };
        bottom: {
            slot: string;
        };
        top: {
            slot: string;
        };
    };
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type SplitterProps = typeof __propDef.props;
type SplitterEvents_ = typeof __propDef.events;
export { SplitterEvents_ as SplitterEvents };
export type SplitterSlots = typeof __propDef.slots;
export default class Splitter extends SvelteComponent<SplitterProps, SplitterEvents_, SplitterSlots> {
    get toggleOrientation(): () => void;
    get clearPanel(): () => void;
    get clearPanel_0(): () => void;
    get clearPanel_1(): () => void;
    get swapPanel(): () => void;
    get getPanelSize(): () => {
        panelSize: PanelSizeInfo | null;
    };
    get orientation(): ("horizontal" | "vertical") | undefined;
    /**accessor*/
    set orientation(_: ("horizontal" | "vertical") | undefined);
    get showContentControl(): boolean | ShowContentControlOptions | undefined;
    /**accessor*/
    set showContentControl(_: boolean | ShowContentControlOptions | undefined);
    get showPanelResizingInfo(): boolean | undefined;
    /**accessor*/
    set showPanelResizingInfo(_: boolean | undefined);
    get panel_0_length(): string | undefined;
    /**accessor*/
    set panel_0_length(_: string | undefined);
    get component_0(): {
        component: any;
        componentClassName: string | null;
        props: Record<string, any>;
    } | undefined;
    /**accessor*/
    set component_0(_: {
        component: any;
        componentClassName: string | null;
        props: Record<string, any>;
    } | undefined);
    get component_1(): {
        component: any;
        componentClassName: string | null;
        props: Record<string, any>;
    } | undefined;
    /**accessor*/
    set component_1(_: {
        component: any;
        componentClassName: string | null;
        props: Record<string, any>;
    } | undefined);
    get customEvents(): string[] | undefined;
    /**accessor*/
    set customEvents(_: string[] | undefined);
}
