import { SvelteComponent } from "svelte";
import type { TreeNode } from "../common/tree.js";
import type { NodeStylerFunction } from "./types.js";
declare const __propDef: {
    props: {
        data?: TreeNode[];
        openIcon?: string;
        closeIcon?: string;
        nodeStyler?: NodeStylerFunction | null;
        hoverDelay?: number;
        customEvents?: string[];
    };
    events: {
        treeNodeHovered: CustomEvent<TreeNode>;
        treeNodeSelected: CustomEvent<{
            id: string;
        }>;
        treeNodeRemove: CustomEvent<{
            id: string;
        }>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type TreeViewProps = typeof __propDef.props;
export type TreeViewEvents = typeof __propDef.events;
export type TreeViewSlots = typeof __propDef.slots;
export default class TreeView extends SvelteComponent<TreeViewProps, TreeViewEvents, TreeViewSlots> {
    get customEvents(): string[];
}
export {};
