import { writable } from "svelte/store";
export class LinkedDataStoreInfo {
    dataProps;
    unsubscribe;
    constructor(dataProps, unsubscribe) {
        this.dataProps = dataProps;
        this.unsubscribe = unsubscribe;
    }
}
export class DataSink {
    linkedDataStoreInfos = [];
}
export class DefaultDataStore {
    store = writable({});
    dataProps;
    constructor(dataProps) {
        this.dataProps = dataProps;
    }
    subscribe(dataSink, cleanUp = () => { }) {
        const unsubscribe = this.store.subscribe((data) => {
            dataSink.update(data);
        });
        dataSink.linkedDataStoreInfos.push(new LinkedDataStoreInfo(this.dataProps, () => {
            unsubscribe();
            cleanUp();
        }));
    }
    set(data) {
        this.store.set(data);
    }
}
