export type TreeNode<T = unknown> = {
    id: string;
    name: string | null | undefined;
    tooltip?: string;
    open?: boolean;
    children?: TreeNode<T>[];
    data?: T;
};
export type TraverseCallback<T = any> = (node: TreeNode<T>, nodes: TreeNode<T>[], nodeIndex: {
    get: () => number;
    set: (i: number) => void;
}, level: number) => boolean | void | undefined;
export declare function createTreeNode<T>(node?: Partial<TreeNode<T>>): TreeNode<T>;
export declare class Tree<T = any> {
    protected root: TreeNode<T>[];
    constructor(tree: TreeNode<T>[]);
    getRoot(): TreeNode<T>[];
    traverse(callback: TraverseCallback): boolean;
    private doTraverse;
}
